<?xml version="1.0" encoding="UTF-8"?>
<module name="accumulate timesteps" class="AccumulateTimesteps">
    <inputs>
        <input name="inField" type="org.visnow.vn.lib.types.VNField" modifiers="NECESSARY:TRIGGERING">
        </input>
    </inputs>
    <outputs>
        <output name="outRegularField" type="org.visnow.vn.lib.types.VNRegularField">
            <schema>
                <param name="REGULAR" value="true"/>
            </schema>
        </output>
        <output name="outIrregularField" type="org.visnow.vn.lib.types.VNIrregularField">
            <schema>
                <param name="IRREGULAR" value="true"/>
            </schema>
        </output>
        <output name="outPointField" type="org.visnow.vn.lib.types.VNPointField">
            <schema>
                <param name="POINT" value="true"/>
            </schema>
        </output>
        <geometryOutput/>
    </outputs>
    <description value="takes a series of input fields with constant structures and merges to a time-dependent field"/>
</module>
